Foreman - Bug #12339

Deleting the existing matcher and creating the same again throws error '‘Match has already been
taken'.

10/28/2015 05:59 AM - Jitendra Yejare

Status: Closed
Priority: Normal
Assignee: Adam Ruzicka
Category: Parameters
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: 1275989 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3507
Description

Description of problem:
In Configure -> smart class parameter, deleting the existing matcher and without saving the changes, creating the same again throws
error 'Match has already been taken'.

Version-Release number of selected component (if applicable):
foreman-1.11.0-0.develop.201510221551git1d0315e.el7.noarch

How reproducible:
Always

Steps to Reproduce:

1. Create matcher for puppet class parameter with some attribute and some value.

2. Save the changes.

3. Again edit the puppet class parameter to delete the matcher created in step 1.

4. Without saving changes of step 3 in parameter, create the matcher with same attribute and same value as created in step 1 and
try to save the change to the parameter.

Actual results:
The error of 'Match has already been taken' is displayed and not allowing to save the changes.

Expected results:
Deleting and creating of matcher with same attribute and value should be allowed without saving the changes to parameter.

Associated revisions

Revision 88e4eb7c - 05/13/2016 02:50 AM - Adam Ruzicka

Fixes #12339 - Reuse to-be-deleted matchers while creating new

History

#1 - 11/18/2015 07:21 AM - Dominic Cleal

- translation missing: en.field_release deleted (71)

Please don't set the release field on tickets.

#2 - 05/05/2016 06:26 AM - Adam Ruzicka
- Status changed from New to Assigned

- Assignee set to Adam Ruzicka

#3 - 05/09/2016 08:41 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3507 added
#4 - 05/13/2016 03:01 AM - Adam Ruzicka
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 88e4eb7c3ef 70b924771bdfc5bf8d7b06.

#5 - 05/13/2016 03:51 AM - Dominic Cleal

- translation missing: en.field_release set to 136
